FreeMat

- Main Page
- Related Pages

vtkPolyDataToPolyDataFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkPolyDataToPolyDataFilter is an abstract filter class whose subclasses take as input polygonal data and generate polygonal data on output. .SECTION Warning This used to be the parent class for most polydata filter in VTK4.x, now this role has been replaced by vtkPolyDataAlgorithm. You should consider using vtkPolyDataAlgorithm instead of this class, when writing filter for VTK5 and above. This class was kept to ensure full backward compatibility.

To create an instance of class vtkPolyDataToPolyDataFilter, simply invoke its constructor as follows

      obj = vtkPolyDataToPolyDataFilter

# Methods

The class vtkPolyDataToPolyDataFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPolyDataToPolyDataFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPolyDataToPolyDataFilter = obj.NewInstance ()`
- `vtkPolyDataToPolyDataFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkPolyData input)` - Set / get the input data or filter.
- `vtkPolyData = obj.GetInput ()` - Set / get the input data or filter.